---
apiVersion: monitoring.coreos.com/v1
items:
- apiVersion: monitoring.coreos.com/v1
  kind: ServiceMonitor
  metadata:
    annotations:
      capability.openshift.io/name: ImageRegistry
      include.release.openshift.io/hypershift: "true"
      include.release.openshift.io/ibm-cloud-managed: "true"
      include.release.openshift.io/self-managed-high-availability: "true"
      include.release.openshift.io/single-node-developer: "true"
    creationTimestamp: "2025-10-27T11:18:34Z"
    generation: 1
    managedFields:
    - apiVersion: monitoring.coreos.com/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:capability.openshift.io/name: {}
            f:include.release.openshift.io/hypershift: {}
            f:include.release.openshift.io/ibm-cloud-managed: {}
            f:include.release.openshift.io/self-managed-high-availability: {}
            f:include.release.openshift.io/single-node-developer: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"d36bdf59-d268-4238-afb0-5e0b21cca1a4"}: {}
        f:spec:
          .: {}
          f:endpoints: {}
          f:namespaceSelector:
            .: {}
            f:matchNames: {}
          f:selector: {}
      manager: cluster-version-operator
      operation: Update
      time: "2025-10-27T11:18:34Z"
    name: image-registry
    namespace: openshift-image-registry
    ownerReferences:
    - apiVersion: config.openshift.io/v1
      controller: true
      kind: ClusterVersion
      name: version
      uid: d36bdf59-d268-4238-afb0-5e0b21cca1a4
    resourceVersion: "1683"
    uid: 6a3390eb-62f7-4c9a-91cf-2e54759c5832
  spec:
    endpoints:
    - bearerTokenFile: /var/run/secrets/kubernetes.io/serviceaccount/token
      interval: 30s
      path: /extensions/v2/metrics
      port: 5000-tcp
      scheme: https
      targetPort: 5000
      tlsConfig:
        caFile: /etc/prometheus/configmaps/serving-certs-ca-bundle/service-ca.crt
        serverName: image-registry.openshift-image-registry.svc
    namespaceSelector:
      matchNames:
      - openshift-image-registry
    selector: {}
- apiVersion: monitoring.coreos.com/v1
  kind: ServiceMonitor
  metadata:
    annotations:
      capability.openshift.io/name: ImageRegistry
      include.release.openshift.io/hypershift: "true"
      include.release.openshift.io/ibm-cloud-managed: "true"
      include.release.openshift.io/self-managed-high-availability: "true"
      include.release.openshift.io/single-node-developer: "true"
    creationTimestamp: "2025-10-27T11:18:36Z"
    generation: 1
    managedFields:
    - apiVersion: monitoring.coreos.com/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:capability.openshift.io/name: {}
            f:include.release.openshift.io/hypershift: {}
            f:include.release.openshift.io/ibm-cloud-managed: {}
            f:include.release.openshift.io/self-managed-high-availability: {}
            f:include.release.openshift.io/single-node-developer: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"d36bdf59-d268-4238-afb0-5e0b21cca1a4"}: {}
        f:spec:
          .: {}
          f:endpoints: {}
          f:selector: {}
      manager: cluster-version-operator
      operation: Update
      time: "2025-10-27T11:18:36Z"
    name: image-registry-operator
    namespace: openshift-image-registry
    ownerReferences:
    - apiVersion: config.openshift.io/v1
      controller: true
      kind: ClusterVersion
      name: version
      uid: d36bdf59-d268-4238-afb0-5e0b21cca1a4
    resourceVersion: "1720"
    uid: 3864139b-8ff7-44b1-a444-47a23c075281
  spec:
    endpoints:
    - interval: 60s
      path: /metrics
      scheme: https
      targetPort: 60000
      tlsConfig:
        caFile: /etc/prometheus/configmaps/serving-certs-ca-bundle/service-ca.crt
        serverName: image-registry-operator.openshift-image-registry.svc
    selector:
      matchLabels:
        name: image-registry-operator
kind: ServiceMonitorList
metadata:
  continue: ""
  resourceVersion: "2219774"
